<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<style>

		div{
			width:10px;
			height:10px;
			position:absolute;
			top:0px;
			left:0px;
			border-radius: 100%;
			background-color:black;
		}
		
	</style>

	<script type="text/javascript">
		
	//Elemento que se ejecute cada x segundos
	//opción1:
	//setTimeout
	//ejecuta algo después de n milisegundos
	//opción 2
	//setInterval
	//ejecuta algo cada n milisegundos
	//
	//
	window.addEventListener("load",(e) => {
		let cursor=document.querySelector("div");
		let apuntador;
		cursor.style.left="0px";

		setTimeout((e) => {
			clearInterval(apuntador);
		  
		},1000)
		
	apuntador=setInterval((e) => {

		cursor.style.left=parseInt(cursor.style.left)+1+"px";
	  
	}, 100)

	});

	</script>
</head>
<body>
	<div>&nbsp;</div>
</body>
</html>